######################################################################
# datHerc_cy_exec.cs
# Cybrid Executioner
#
######################################################################

#                 Identity_Tag  Abbreviation     Shape             Mass                MaxMass               RCS             Tech            Combat_Value
hercBase(         IDVEH_CY_EXEC,"EXEC",          "cy_exec.dts",                  25.0 ,                  90 ,          1.50 ,             4 ,        3600);

#                 maxPosAcc     minPosVel        maxForPosVel      maxRevPosVel        (all_m/s)
hercPos(                  5.00 ,           3.00 ,           22.50 ,               -9.00);

#                 minRotVel     maxRVSlow        maxRVFast         (all_deg/s)
hercRot(                  6.00 ,          40.00 ,             15.00);

#                 toStandVel    toRunVel         toFastRunVel      toFastTurnVel(deg/s)
hercAnim(         4.0,          8.0,             14.0,                               20);

#                 offsetX       offsetY          offsetZ
hercCpit(         0.0,          3.4,                          -0.65);

#                 sphOffstX     sphOffstY        sphOffstZ         sphereRad
hercColl(         0.0,          0.0,             4.9,                                 5);

#                 fireBayesNetName
hercAI(           "hercFire.ai", "targetPart.ai","hercManeuver.ai","hercRetreat.ai"    );

#                               Hard Points
#                               (sizes:SMLX      sides:TBLR)       Dmg                 Offset_fm_Node                                        X_rot_rnge        Z_rot_rnge
#                 id            size             side              Prnt                X___                  Y___            Z___            min__       max_  min__           max__
newHardPoint(     0,            X,               R,                Head,               3.8,                  1.25,           -0.5,           -45.0,      50.0, -45.0,             30);
newHardPoint(     1,            X,               L,                Head,               -3.8,                 1.25,           -0.5,           -45.0,      50.0, -30.0,             45);
newHardPoint(     2,            L,               B,                Head,               2.0,                  3.25,           -1.2,           -40.0,      30.0, -45.0,             20);
newHardPoint(     3,            L,               B,                Head,               -2.0,                 3.25,           -1.2,           -45.0,      30.0, -20.0,             45);
#
#
#
#
#
#                 id            size             Dmg_Parent        Allowed_Mountables
newMountPoint(    0,            X,               Head,             Engine);
newMountPoint(    1,            L,               Head,             Reactor);
newMountPoint(    2,            S,               Head,             Computer);
newMountPoint(    3,            L,               Head,             Shield);
newMountPoint(    4,            M,               none,             Armor);
newMountPoint(    5,            L,               Head,             Sensors             );
newMountPoint(    6,            L,               Head,             ECM,                ThermalDiffuser,      LaserTargeting, NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                   LifeSupport,        ShieldModulator,      ShieldCapacitor,ShieldAmplifier,Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);
newMountPoint(    7,            L,               Head,             ECM,                ThermalDiffuser,      LaserTargeting, NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                   LifeSupport,        ShieldModulator,      ShieldCapacitor,ShieldAmplifier,Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);
#                 Internal      Components
#                 id            type             parent            max_dmg             identity_tag
newComponent(     Armor,        Armor,           none,                          10500 ,IDCOM_ARMOR           );
newComponent(     LeftServos,   LeftServos,      none,                           1500 ,IDCOM_LEFT_LEG_SERVOS );
newComponent(     RightServos,  RightServos,     none,                           1500 ,IDCOM_RIGHT_LEG_SERVOS);

#                 External      Components
#                 id            type             parent            max_dmg             identity_tag          total internals=            6000
newComponent(     Head,         Head,            none,                           2040 ,IDCOM_HEAD            );                        # 0.34
newComponent(     LeftLeg,      LeftLeg,         Head,                            720 ,IDCOM_LEFT_LEG        );                        # 0.12
newComponent(     RightLeg,     RightLeg,        Head,                            720 ,IDCOM_RIGHT_LEG       );                        # 0.12
newComponent(     LeftCalf,     LeftCalf,        LeftLeg,                         720 ,IDCOM_LEFT_CALF       );                        # 0.12
newComponent(     RightCalf,    RightCalf,       RightLeg,                        720 ,IDCOM_RIGHT_CALF      );                        # 0.12
newComponent(     LeftFoot,     LeftFoot,        LeftCalf,                        540 ,IDCOM_LEFT_FOOT       );                        # 0.09
newComponent(     RightFoot,    RightFoot,       RightCalf,                       540 ,IDCOM_RIGHT_FOOT      );                        # 0.09
newComponent(     Pilot,        Pilot,           none,                            300 ,IDCOM_PILOT           );
#                                                (totals)                        6000 ,                                                # 1.00

#                 Distribution  of               internal          components          among                 external        components
#                 containee     container        percent/100
newConfiguration( Armor,        LeftFoot,                      0.06);                                   # 630
newConfiguration( Armor,        RightFoot,                     0.06);                                   # 630
newConfiguration( Armor,        LeftCalf,                      0.09);                                   # 945
newConfiguration( Armor,        RightCalf,                     0.09);                                   # 945
newConfiguration( Armor,        LeftLeg,                        0.1);                                  # 1050
newConfiguration( Armor,        RightLeg,                       0.1);                                  # 1050
newConfiguration( Armor,        Head,                           0.5);                                  # 5250
#                 -----
#                                                              1.00

newConfiguration( LeftServos,   LeftFoot,                       0.3);
newConfiguration( LeftServos,   LeftCalf,                      0.35);
newConfiguration( LeftServos,   LeftLeg,                       0.35);

newConfiguration( RightServos,  RightFoot,                      0.3);
newConfiguration( RightServos,  RightCalf,                     0.35);
newConfiguration( RightServos,  RightLeg,                      0.35);


// X-Large Weapon 1
%temp1 = randomInt(1, 1000);  
if(%temp1 >= 0 && %temp1 < 4 ) %weapon1 = 101; // Laser
if(%temp1 >= 4 && %temp1 < 9 ) %weapon1 = 102; // Heavy Laser
if(%temp1 >= 9 && %temp1 < 17 ) %weapon1 = 103; // Compression Laser
if(%temp1 >= 17 && %temp1 < 24 ) %weapon1 = 104; // Twin Laser
if(%temp1 >= 24 && %temp1 < 59 ) %weapon1 = 105; // EMP
if(%temp1 >= 59 && %temp1 < 85 ) %weapon1 = 106; // ELF
if(%temp1 >= 85 && %temp1 < 129 ) %weapon1 = 107; // Blaster
if(%temp1 >= 129 && %temp1 < 172 ) %weapon1 = 108; // Heavy Blaster
if(%temp1 >= 172 && %temp1 < 259 ) %weapon1 = 109; // PBW
if(%temp1 >= 259 && %temp1 < 294 ) %weapon1 = 110; // Plasma Cannon
if(%temp1 >= 294 && %temp1 < 312 ) %weapon1 = 111; // Blink Gun
if(%temp1 >= 312 && %temp1 < 355 ) %weapon1 = 112; // Q-Gun
if(%temp1 >= 355 && %temp1 < 425 ) %weapon1 = 113; // MFAC
if(%temp1 >= 425 && %temp1 < 429 ) %weapon1 = 114; // Nano Infuser
if(%temp1 >= 429 && %temp1 < 433 ) %weapon1 = 115; // Nanite Cannon
if(%temp1 >= 433 && %temp1 < 442 ) %weapon1 = 116; // ATC
if(%temp1 >= 442 && %temp1 < 455 ) %weapon1 = 117; // HATC
if(%temp1 >= 455 && %temp1 < 473 ) %weapon1 = 118; // EM ATC
if(%temp1 >= 473 && %temp1 < 507 ) %weapon1 = 119; // Blast Cannon
if(%temp1 >= 507 && %temp1 < 560 ) %weapon1 = 120; // Heavy Blast Cannon
if(%temp1 >= 560 && %temp1 < 647 ) %weapon1 = 121; // Rail Gun
if(%temp1 >= 647 && %temp1 < 660 ) %weapon1 = 124; // Pit Viper 8
if(%temp1 >= 660 && %temp1 < 686 ) %weapon1 = 125; // Pit Viper 12
if(%temp1 >= 686 && %temp1 < 699 ) %weapon1 = 126; // Sparrow 6
if(%temp1 >= 699 && %temp1 < 725 ) %weapon1 = 127; // Sparrow 10
if(%temp1 >= 725 && %temp1 < 751 ) %weapon1 = 128; // Swarm 6
if(%temp1 >= 751 && %temp1 < 777 ) %weapon1 = 129; // Minion
if(%temp1 >= 777 && %temp1 < 803 ) %weapon1 = 130; // Shrike 8
if(%temp1 >= 803 && %temp1 < 812 ) %weapon1 = 131; // Arachnitron 4
if(%temp1 >= 812 && %temp1 < 821 ) %weapon1 = 132; // Arachnitron 8
if(%temp1 >= 821 && %temp1 < 829 ) %weapon1 = 133; // Arachnitron 12
if(%temp1 >= 829 && %temp1 < 838 ) %weapon1 = 134; // HHG 6
if(%temp1 >= 838 && %temp1 < 864 ) %weapon1 = 135; // HHG 10
if(%temp1 >= 864 && %temp1 < 899 ) %weapon1 = 136; // HHG 15
if(%temp1 >= 899 && %temp1 < 943 ) %weapon1 = 145; // Rad Gun
if(%temp1 >= 943 && %temp1 < 947 ) %weapon1 = 147; // Aphid
if(%temp1 >= 947 && %temp1 < 999 ) %weapon1 = 150; // Smart Gun
if(%temp1 >= 999 && %temp1 <= 1000 ) %weapon1 = 0; // None

// X-Large Weapon 2
%temp1 = randomInt(1, 2);
if(%temp1 == 1 && %weapon1 != 0 )%weapon2 = %weapon1;
else
{
  %temp1 = randomInt(1, 1000);  
  if(%temp1 >= 0 && %temp1 < 4 ) %weapon2 = 101; // Laser
  if(%temp1 >= 4 && %temp1 < 9 ) %weapon2 = 102; // Heavy Laser
  if(%temp1 >= 9 && %temp1 < 17 ) %weapon2 = 103; // Compression Laser
  if(%temp1 >= 17 && %temp1 < 24 ) %weapon2 = 104; // Twin Laser
  if(%temp1 >= 24 && %temp1 < 59 ) %weapon2 = 105; // EMP
  if(%temp1 >= 59 && %temp1 < 85 ) %weapon2 = 106; // ELF
  if(%temp1 >= 85 && %temp1 < 129 ) %weapon2 = 107; // Blaster
  if(%temp1 >= 129 && %temp1 < 172 ) %weapon2 = 108; // Heavy Blaster
  if(%temp1 >= 172 && %temp1 < 259 ) %weapon2 = 109; // PBW
  if(%temp1 >= 259 && %temp1 < 294 ) %weapon2 = 110; // Plasma Cannon
  if(%temp1 >= 294 && %temp1 < 312 ) %weapon2 = 111; // Blink Gun
  if(%temp1 >= 312 && %temp1 < 355 ) %weapon2 = 112; // Q-Gun
  if(%temp1 >= 355 && %temp1 < 425 ) %weapon2 = 113; // MFAC
  if(%temp1 >= 425 && %temp1 < 429 ) %weapon2 = 114; // Nano Infuser
  if(%temp1 >= 429 && %temp1 < 433 ) %weapon2 = 115; // Nanite Cannon
  if(%temp1 >= 433 && %temp1 < 442 ) %weapon2 = 116; // ATC
  if(%temp1 >= 442 && %temp1 < 455 ) %weapon2 = 117; // HATC
  if(%temp1 >= 455 && %temp1 < 473 ) %weapon2 = 118; // EM ATC
  if(%temp1 >= 473 && %temp1 < 507 ) %weapon2 = 119; // Blast Cannon
  if(%temp1 >= 507 && %temp1 < 560 ) %weapon2 = 120; // Heavy Blast Cannon
  if(%temp1 >= 560 && %temp1 < 647 ) %weapon2 = 121; // Rail Gun
  if(%temp1 >= 647 && %temp1 < 660 ) %weapon2 = 124; // Pit Viper 8
  if(%temp1 >= 660 && %temp1 < 686 ) %weapon2 = 125; // Pit Viper 12
  if(%temp1 >= 686 && %temp1 < 699 ) %weapon2 = 126; // Sparrow 6
  if(%temp1 >= 699 && %temp1 < 725 ) %weapon2 = 127; // Sparrow 10
  if(%temp1 >= 725 && %temp1 < 751 ) %weapon2 = 128; // Swarm 6
  if(%temp1 >= 751 && %temp1 < 777 ) %weapon2 = 129; // Minion
  if(%temp1 >= 777 && %temp1 < 803 ) %weapon2 = 130; // Shrike 8
  if(%temp1 >= 803 && %temp1 < 812 ) %weapon2 = 131; // Arachnitron 4
  if(%temp1 >= 812 && %temp1 < 821 ) %weapon2 = 132; // Arachnitron 8
  if(%temp1 >= 821 && %temp1 < 829 ) %weapon2 = 133; // Arachnitron 12
  if(%temp1 >= 829 && %temp1 < 838 ) %weapon2 = 134; // HHG 6
  if(%temp1 >= 838 && %temp1 < 864 ) %weapon2 = 135; // HHG 10
  if(%temp1 >= 864 && %temp1 < 899 ) %weapon2 = 136; // HHG 15
  if(%temp1 >= 899 && %temp1 < 943 ) %weapon2 = 145; // Rad Gun
  if(%temp1 >= 943 && %temp1 < 947 ) %weapon2 = 147; // Aphid
  if(%temp1 >= 947 && %temp1 < 999 ) %weapon2 = 150; // Smart Gun
  if(%temp1 >= 999 && %temp1 <= 1000 ) %weapon2 = 0; // None
}

// Large Weapon 3
%temp1 = randomInt(1, 1000);  
if(%temp1 >= 0 && %temp1 < 11 ) %weapon3 = 101; // Laser
if(%temp1 >= 11 && %temp1 < 28 ) %weapon3 = 102; // Heavy Laser
if(%temp1 >= 28 && %temp1 < 51 ) %weapon3 = 103; // Compression Laser
if(%temp1 >= 51 && %temp1 < 74 ) %weapon3 = 104; // Twin Laser
if(%temp1 >= 74 && %temp1 < 159 ) %weapon3 = 105; // EMP
if(%temp1 >= 159 && %temp1 < 191 ) %weapon3 = 106; // ELF
if(%temp1 >= 191 && %temp1 < 224 ) %weapon3 = 107; // Blaster
if(%temp1 >= 224 && %temp1 < 257 ) %weapon3 = 108; // Heavy Blaster
if(%temp1 >= 257 && %temp1 < 314 ) %weapon3 = 109; // PBW
if(%temp1 >= 314 && %temp1 < 347 ) %weapon3 = 110; // Plasma Cannon
if(%temp1 >= 347 && %temp1 < 358 ) %weapon3 = 111; // Blink Gun
if(%temp1 >= 358 && %temp1 < 364 ) %weapon3 = 114; // Nano Infuser
if(%temp1 >= 364 && %temp1 < 369 ) %weapon3 = 115; // Nanite Cannon
if(%temp1 >= 369 && %temp1 < 381 ) %weapon3 = 116; // ATC
if(%temp1 >= 381 && %temp1 < 398 ) %weapon3 = 117; // HATC
if(%temp1 >= 398 && %temp1 < 420 ) %weapon3 = 118; // EM ATC
if(%temp1 >= 420 && %temp1 < 453 ) %weapon3 = 119; // Blast Cannon
if(%temp1 >= 453 && %temp1 < 486 ) %weapon3 = 121; // Rail Gun
if(%temp1 >= 486 && %temp1 < 519 ) %weapon3 = 124; // Pit Viper 8
if(%temp1 >= 519 && %temp1 < 552 ) %weapon3 = 125; // Pit Viper 12
if(%temp1 >= 552 && %temp1 < 584 ) %weapon3 = 126; // Sparrow 6
if(%temp1 >= 584 && %temp1 < 617 ) %weapon3 = 127; // Sparrow 10
if(%temp1 >= 617 && %temp1 < 650 ) %weapon3 = 128; // Swarm 6
if(%temp1 >= 650 && %temp1 < 683 ) %weapon3 = 129; // Minion
if(%temp1 >= 683 && %temp1 < 716 ) %weapon3 = 130; // Shrike 8
if(%temp1 >= 716 && %temp1 < 749 ) %weapon3 = 131; // Arachnitron 4
if(%temp1 >= 749 && %temp1 < 781 ) %weapon3 = 132; // Arachnitron 8
if(%temp1 >= 781 && %temp1 < 814 ) %weapon3 = 133; // Arachnitron 12
if(%temp1 >= 814 && %temp1 < 847 ) %weapon3 = 134; // HHG 6
if(%temp1 >= 847 && %temp1 < 880 ) %weapon3 = 135; // HHG 10
if(%temp1 >= 880 && %temp1 < 913 ) %weapon3 = 136; // HHG 15
if(%temp1 >= 913 && %temp1 < 946 ) %weapon3 = 145; // Rad Gun
if(%temp1 >= 946 && %temp1 < 951 ) %weapon3 = 147; // Aphid
if(%temp1 >= 951 && %temp1 < 984 ) %weapon3 = 150; // Smart Gun
if(%temp1 >= 984 && %temp1 <= 1000 ) %weapon3 = 0; // None

// Large Weapon 4
%temp1 = randomInt(1, 2);
if(%temp1 == 1 && %weapon3 != 0 )%weapon4 = %weapon3;
else
{
  %temp1 = randomInt(1, 1000);  
  if(%temp1 >= 0 && %temp1 < 11 ) %weapon4 = 101; // Laser
  if(%temp1 >= 11 && %temp1 < 28 ) %weapon4 = 102; // Heavy Laser
  if(%temp1 >= 28 && %temp1 < 51 ) %weapon4 = 103; // Compression Laser
  if(%temp1 >= 51 && %temp1 < 74 ) %weapon4 = 104; // Twin Laser
  if(%temp1 >= 74 && %temp1 < 159 ) %weapon4 = 105; // EMP
  if(%temp1 >= 159 && %temp1 < 191 ) %weapon4 = 106; // ELF
  if(%temp1 >= 191 && %temp1 < 224 ) %weapon4 = 107; // Blaster
  if(%temp1 >= 224 && %temp1 < 257 ) %weapon4 = 108; // Heavy Blaster
  if(%temp1 >= 257 && %temp1 < 314 ) %weapon4 = 109; // PBW
  if(%temp1 >= 314 && %temp1 < 347 ) %weapon4 = 110; // Plasma Cannon
  if(%temp1 >= 347 && %temp1 < 358 ) %weapon4 = 111; // Blink Gun
  if(%temp1 >= 358 && %temp1 < 364 ) %weapon4 = 114; // Nano Infuser
  if(%temp1 >= 364 && %temp1 < 369 ) %weapon4 = 115; // Nanite Cannon
  if(%temp1 >= 369 && %temp1 < 381 ) %weapon4 = 116; // ATC
  if(%temp1 >= 381 && %temp1 < 398 ) %weapon4 = 117; // HATC
  if(%temp1 >= 398 && %temp1 < 420 ) %weapon4 = 118; // EM ATC
  if(%temp1 >= 420 && %temp1 < 453 ) %weapon4 = 119; // Blast Cannon
  if(%temp1 >= 453 && %temp1 < 486 ) %weapon4 = 121; // Rail Gun
  if(%temp1 >= 486 && %temp1 < 519 ) %weapon4 = 124; // Pit Viper 8
  if(%temp1 >= 519 && %temp1 < 552 ) %weapon4 = 125; // Pit Viper 12
  if(%temp1 >= 552 && %temp1 < 584 ) %weapon4 = 126; // Sparrow 6
  if(%temp1 >= 584 && %temp1 < 617 ) %weapon4 = 127; // Sparrow 10
  if(%temp1 >= 617 && %temp1 < 650 ) %weapon4 = 128; // Swarm 6
  if(%temp1 >= 650 && %temp1 < 683 ) %weapon4 = 129; // Minion
  if(%temp1 >= 683 && %temp1 < 716 ) %weapon4 = 130; // Shrike 8
  if(%temp1 >= 716 && %temp1 < 749 ) %weapon4 = 131; // Arachnitron 4
  if(%temp1 >= 749 && %temp1 < 781 ) %weapon4 = 132; // Arachnitron 8
  if(%temp1 >= 781 && %temp1 < 814 ) %weapon4 = 133; // Arachnitron 12
  if(%temp1 >= 814 && %temp1 < 847 ) %weapon4 = 134; // HHG 6
  if(%temp1 >= 847 && %temp1 < 880 ) %weapon4 = 135; // HHG 10
  if(%temp1 >= 880 && %temp1 < 913 ) %weapon4 = 136; // HHG 15
  if(%temp1 >= 913 && %temp1 < 946 ) %weapon4 = 145; // Rad Gun
  if(%temp1 >= 946 && %temp1 < 951 ) %weapon4 = 147; // Aphid
  if(%temp1 >= 951 && %temp1 < 984 ) %weapon4 = 150; // Smart Gun
  if(%temp1 >= 984 && %temp1 <= 1000 ) %weapon4 = 0; // None
}


defaultWeapons( %weapon1, %weapon2, %weapon3, %weapon4);

// defaultWeapons(   130,          130,             109,                               109);
defaultMountables(143,          230,             806,              333,                927,                  431,            812,                     865);
