######################################################################
# datHerc_cy_shep.cs
# Cybrid Shepherd
#
######################################################################

#                 Identity_Tag  Abbreviation     Shape             Mass                MaxMass               Radar_Cross_SectionTech_Level      Combat_Value
hercBase(         IDVEH_CY_SHEP,"SHEP",          "cy_shep.dts",                   8.0 ,                  48 ,             1.00 ,             2 ,        1810);

#                 maxPosAcc     minPosVel        maxForPosVel      maxRevPosVel        (all_m/s)
hercPos(                 15.50 ,           3.00 ,           32.00 ,              -15.00);

#                 minRotVel     maxRVSlow        maxRVFast         (all_deg/s)
hercRot(                  6.00 ,          70.00 ,             30.00);

#                 toStandVel    toRunVel         toFastRunVel      toFastTurnVel(deg/s)
hercAnim(         4.0,          14.0,            20.0,                               36);

#                 offsetX       offsetY          offsetZ
hercCpit(         0.0,          0.0,                            0.6);

#                 sphOffstX     sphOffstY        sphOffstZ         sphereRad
hercColl(         0.0,          0.0,             3.9,                                 4);

#                 fireBayesNetName
hercAI(           "hercFire.ai", "targetPart.ai","hercManeuver.ai","hercRetreat.ai"    );

#                               Hard Points
#                               (sizes:SMLX      sides:TBLR)       Dmg                 Offset_fm_Node                                           X_rot_rnge        Z_rot_rnge
#                 id            size             side              Prnt                X___                  Y___               Z___            min__       max_  min__           max__
newHardPoint(     0,            M,               R,                RightPod,           3.245,                -0.94,             1.0,            -55.0,      45.0, -55.0,             55);
newHardPoint(     1,            M,               L,                LeftPod,            -3.245,               -0.94,             1.0,            -55.0,      45.0, -55.0,             55);
newHardPoint(     2,            M,               R,                Head,               1.9,                  -1.5,              -1.4,           -55.0,      45.0, -55.0,             55);
newHardPoint(     3,            M,               L,                Head,               -1.9,                 -1.5,              -1.4,           -55.0,      45.0, -55.0,             55);
#
#
#
#
#
#                 id            size             Dmg_Parent        Allowed_Mountables
newMountPoint(    0,            L,               Head,             Engine);
newMountPoint(    1,            M,               Head,             Reactor);
newMountPoint(    2,            S,               Head,             Computer);
newMountPoint(    3,            L,               LeftPod,          Shield);
newMountPoint(    4,            M,               none,             Armor);
newMountPoint(    5,            M,               RightPod,         Sensors             );
newMountPoint(    6,            M,               LeftPod,          ECM,                ThermalDiffuser,      LaserTargeting,    NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                   LifeSupport,        ShieldModulator,      ShieldCapacitor,   ShieldAmplifier,Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);
newMountPoint(    7,            L,               RightPod,         ECM,                ThermalDiffuser,      LaserTargeting,    NanoRepair,     Battery,    Cloak,FieldStabilizer,       ammoPack,
                                                                   LifeSupport,        ShieldModulator,      ShieldCapacitor,   ShieldAmplifier,Capacitor,        AgravGenerator,        TurbineBoost, RocketBooster);
#                 Internal      Components
#                 id            type             parent            max_dmg             identity_tag
newComponent(     Armor,        Armor,           none,                           5000 ,IDCOM_ARMOR           );
newComponent(     LeftServos,   LeftServos,      none,                            600 ,IDCOM_LEFT_LEG_SERVOS );
newComponent(     RightServos,  RightServos,     none,                            600 ,IDCOM_RIGHT_LEG_SERVOS);

#                 External      Components
#                 id            type             parent            max_dmg             identity_tag          total internals==              4000
newComponent(     Head,         Head,            none,                            560 ,IDCOM_HEAD            );                           # 0.14
newComponent(     LeftLeg,      LeftLeg,         Head,                            400 ,IDCOM_LEFT_LEG        );                           # 0.10
newComponent(     RightLeg,     RightLeg,        Head,                            400 ,IDCOM_RIGHT_LEG       );                           # 0.10
newComponent(     LeftCalf,     LeftCalf,        LeftLeg,                         400 ,IDCOM_LEFT_CALF       );                           # 0.10
newComponent(     RightCalf,    RightCalf,       RightLeg,                        400 ,IDCOM_RIGHT_CALF      );                           # 0.10
newComponent(     LeftFoot,     LeftFoot,        LeftCalf,                        440 ,IDCOM_LEFT_FOOT       );                           # 0.11
newComponent(     RightFoot,    RightFoot,       RightCalf,                       440 ,IDCOM_RIGHT_FOOT      );                           # 0.11
newComponent(     LeftPod,      LeftPod,         Head,                            480 ,IDCOM_LEFT_POD        );                           # 0.12
newComponent(     RightPod,     RightPod,        Head,                            480 ,IDCOM_RIGHT_POD       );                           # 0.12
newComponent(     Pilot,        Pilot,           none,                            300 ,IDCOM_PILOT           );
#                                                (totals)                        4000 ,                                                   # 1.00

#                 Distribution  of               internal          components          among                 external           components
#                 containee     container        percent/100
newConfiguration( Armor,        LeftFoot,                       0.1);                                   # 500
newConfiguration( Armor,        RightFoot,                      0.1);                                   # 500
newConfiguration( Armor,        LeftCalf,                      0.11);                                   # 550
newConfiguration( Armor,        RightCalf,                     0.11);                                   # 550
newConfiguration( Armor,        LeftLeg,                       0.11);                                   # 550
newConfiguration( Armor,        RightLeg,                      0.11);                                   # 550
newConfiguration( Armor,        LeftPod,                       0.13);                                   # 650
newConfiguration( Armor,        RightPod,                      0.13);                                   # 650
newConfiguration( Armor,        Head,                           0.1);                                   # 500
#                 -----
#                                                              1.00

newConfiguration( LeftServos,   LeftFoot,                       0.3);
newConfiguration( LeftServos,   LeftCalf,                      0.35);
newConfiguration( LeftServos,   LeftLeg,                       0.35);

newConfiguration( RightServos,  RightFoot,                      0.3);
newConfiguration( RightServos,  RightCalf,                     0.35);
newConfiguration( RightServos,  RightLeg,                      0.35);


// Medium Weapon 1
%temp1 = randomInt(1, 1000);  
if(%temp1 >=	0	&& %temp1 <	26	) %weapon1 =	101; // Laser
if(%temp1 >=	26	&& %temp1 <	51	) %weapon1 =	102; // Heavy Laser
if(%temp1 >=	51	&& %temp1 <	77	) %weapon1 =	103; // Compression Laser
if(%temp1 >=	77	&& %temp1 <	103	) %weapon1 =	104; // Twin Laser
if(%temp1 >=	103	&& %temp1 <	231	) %weapon1 =	105; // EMP
if(%temp1 >=	231	&& %temp1 <	360	) %weapon1 =	106; // ELF
if(%temp1 >=	360	&& %temp1 <	488	) %weapon1 =	107; // Blaster
if(%temp1 >=	488	&& %temp1 <	566	) %weapon1 =	111; // Blink Gun
if(%temp1 >=	566	&& %temp1 <	578	) %weapon1 =	114; // Nano Infuser
if(%temp1 >=	578	&& %temp1 <	591	) %weapon1 =	115; // Nanite Cannon
if(%temp1 >=	591	&& %temp1 <	617	) %weapon1 =	116; // ATC
if(%temp1 >=	617	&& %temp1 <	668	) %weapon1 =	117; // HATC
if(%temp1 >=	668	&& %temp1 <	771	) %weapon1 =	118; // EM ATC
if(%temp1 >=	771	&& %temp1 <	776	) %weapon1 =	124; // Pit Viper 8
if(%temp1 >=	776	&& %temp1 <	789	) %weapon1 =	125; // Pit Viper 12
if(%temp1 >=	789	&& %temp1 <	794	) %weapon1 =	126; // Sparrow 6
if(%temp1 >=	794	&& %temp1 <	807	) %weapon1 =	127; // Sparrow 10
if(%temp1 >=	807	&& %temp1 <	820	) %weapon1 =	128; // Swarm 6
if(%temp1 >=	820	&& %temp1 <	833	) %weapon1 =	129; // Minion
if(%temp1 >=	833	&& %temp1 <	846	) %weapon1 =	130; // Shrike 8
if(%temp1 >=	846	&& %temp1 <	851	) %weapon1 =	131; // Arachnitron 4
if(%temp1 >=	851	&& %temp1 <	864	) %weapon1 =	132; // Arachnitron 8
if(%temp1 >=	864	&& %temp1 <	869	) %weapon1 =	134; // HHG 6
if(%temp1 >=	869	&& %temp1 <	882	) %weapon1 =	135; // HHG 10
if(%temp1 >=	882	&& %temp1 <	933	) %weapon1 =	145; // Rad Gun
if(%temp1 >=	933	&& %temp1 <	946	) %weapon1 =	147; // Aphid
if(%temp1 >=	946	&& %temp1 <	997	) %weapon1 =	150; // Smart Gun
if(%temp1 >=	997	&& %temp1 <=	1000	) %weapon1 =	0; // None

// Medium Weapon 2
%temp1 = randomInt(1, 8);
if(%temp1 == 1 && %weapon1 != 0 )%weapon2 = %weapon1;
else
{
  %temp1 = randomInt(1, 1000);  
  if(%temp1 >=	0	&& %temp1 <	26	) %weapon2 =	101; // Laser
  if(%temp1 >=	26	&& %temp1 <	51	) %weapon2 =	102; // Heavy Laser
  if(%temp1 >=	51	&& %temp1 <	77	) %weapon2 =	103; // Compression Laser
  if(%temp1 >=	77	&& %temp1 <	103	) %weapon2 =	104; // Twin Laser
  if(%temp1 >=	103	&& %temp1 <	231	) %weapon2 =	105; // EMP
  if(%temp1 >=	231	&& %temp1 <	360	) %weapon2 =	106; // ELF
  if(%temp1 >=	360	&& %temp1 <	488	) %weapon2 =	107; // Blaster
  if(%temp1 >=	488	&& %temp1 <	566	) %weapon2 =	111; // Blink Gun
  if(%temp1 >=	566	&& %temp1 <	578	) %weapon2 =	114; // Nano Infuser
  if(%temp1 >=	578	&& %temp1 <	591	) %weapon2 =	115; // Nanite Cannon
  if(%temp1 >=	591	&& %temp1 <	617	) %weapon2 =	116; // ATC
  if(%temp1 >=	617	&& %temp1 <	668	) %weapon2 =	117; // HATC
  if(%temp1 >=	668	&& %temp1 <	771	) %weapon2 =	118; // EM ATC
  if(%temp1 >=	771	&& %temp1 <	776	) %weapon2 =	124; // Pit Viper 8
  if(%temp1 >=	776	&& %temp1 <	789	) %weapon2 =	125; // Pit Viper 12
  if(%temp1 >=	789	&& %temp1 <	794	) %weapon2 =	126; // Sparrow 6
  if(%temp1 >=	794	&& %temp1 <	807	) %weapon2 =	127; // Sparrow 10
  if(%temp1 >=	807	&& %temp1 <	820	) %weapon2 =	128; // Swarm 6
  if(%temp1 >=	820	&& %temp1 <	833	) %weapon2 =	129; // Minion
  if(%temp1 >=	833	&& %temp1 <	846	) %weapon2 =	130; // Shrike 8
  if(%temp1 >=	846	&& %temp1 <	851	) %weapon2 =	131; // Arachnitron 4
  if(%temp1 >=	851	&& %temp1 <	864	) %weapon2 =	132; // Arachnitron 8
  if(%temp1 >=	864	&& %temp1 <	869	) %weapon2 =	134; // HHG 6
  if(%temp1 >=	869	&& %temp1 <	882	) %weapon2 =	135; // HHG 10
  if(%temp1 >=	882	&& %temp1 <	933	) %weapon2 =	145; // Rad Gun
  if(%temp1 >=	933	&& %temp1 <	946	) %weapon2 =	147; // Aphid
  if(%temp1 >=	946	&& %temp1 <	997	) %weapon2 =	150; // Smart Gun
  if(%temp1 >=	997	&& %temp1 <=	1000	) %weapon2 =	0; // None
}

// Medium Weapon 3
%temp1 = randomInt(1, 8);
if(%temp1 == 1 && %weapon1 != 0 )%weapon3 = %weapon1;
if(%temp1 == 2 && %weapon2 != 0 )%weapon3 = %weapon2;
else
{
  %temp1 = randomInt(1, 1000);  
  if(%temp1 >=	0	&& %temp1 <	26	) %weapon3 =	101; // Laser
  if(%temp1 >=	26	&& %temp1 <	51	) %weapon3 =	102; // Heavy Laser
  if(%temp1 >=	51	&& %temp1 <	77	) %weapon3 =	103; // Compression Laser
  if(%temp1 >=	77	&& %temp1 <	103	) %weapon3 =	104; // Twin Laser
  if(%temp1 >=	103	&& %temp1 <	231	) %weapon3 =	105; // EMP
  if(%temp1 >=	231	&& %temp1 <	360	) %weapon3 =	106; // ELF
  if(%temp1 >=	360	&& %temp1 <	488	) %weapon3 =	107; // Blaster
  if(%temp1 >=	488	&& %temp1 <	566	) %weapon3 =	111; // Blink Gun
  if(%temp1 >=	566	&& %temp1 <	578	) %weapon3 =	114; // Nano Infuser
  if(%temp1 >=	578	&& %temp1 <	591	) %weapon3 =	115; // Nanite Cannon
  if(%temp1 >=	591	&& %temp1 <	617	) %weapon3 =	116; // ATC
  if(%temp1 >=	617	&& %temp1 <	668	) %weapon3 =	117; // HATC
  if(%temp1 >=	668	&& %temp1 <	771	) %weapon3 =	118; // EM ATC
  if(%temp1 >=	771	&& %temp1 <	776	) %weapon3 =	124; // Pit Viper 8
  if(%temp1 >=	776	&& %temp1 <	789	) %weapon3 =	125; // Pit Viper 12
  if(%temp1 >=	789	&& %temp1 <	794	) %weapon3 =	126; // Sparrow 6
  if(%temp1 >=	794	&& %temp1 <	807	) %weapon3 =	127; // Sparrow 10
  if(%temp1 >=	807	&& %temp1 <	820	) %weapon3 =	128; // Swarm 6
  if(%temp1 >=	820	&& %temp1 <	833	) %weapon3 =	129; // Minion
  if(%temp1 >=	833	&& %temp1 <	846	) %weapon3 =	130; // Shrike 8
  if(%temp1 >=	846	&& %temp1 <	851	) %weapon3 =	131; // Arachnitron 4
  if(%temp1 >=	851	&& %temp1 <	864	) %weapon3 =	132; // Arachnitron 8
  if(%temp1 >=	864	&& %temp1 <	869	) %weapon3 =	134; // HHG 6
  if(%temp1 >=	869	&& %temp1 <	882	) %weapon3 =	135; // HHG 10
  if(%temp1 >=	882	&& %temp1 <	933	) %weapon3 =	145; // Rad Gun
  if(%temp1 >=	933	&& %temp1 <	946	) %weapon3 =	147; // Aphid
  if(%temp1 >=	946	&& %temp1 <	997	) %weapon3 =	150; // Smart Gun
  if(%temp1 >=	997	&& %temp1 <=	1000	) %weapon3 =	0; // None
}

// Medium Weapon 4
%temp1 = randomInt(1, 8);
if(%temp1 == 1 && %weapon1 != 0 )%weapon4 = %weapon1;
if(%temp1 == 2 && %weapon2 != 0 )%weapon4 = %weapon2;
if(%temp1 == 3 && %weapon3 != 0 )%weapon4 = %weapon3;
else
{
  %temp1 = randomInt(1, 1000);  
  if(%temp1 >=	0	&& %temp1 <	26	) %weapon4 =	101; // Laser
  if(%temp1 >=	26	&& %temp1 <	51	) %weapon4 =	102; // Heavy Laser
  if(%temp1 >=	51	&& %temp1 <	77	) %weapon4 =	103; // Compression Laser
  if(%temp1 >=	77	&& %temp1 <	103	) %weapon4 =	104; // Twin Laser
  if(%temp1 >=	103	&& %temp1 <	231	) %weapon4 =	105; // EMP
  if(%temp1 >=	231	&& %temp1 <	360	) %weapon4 =	106; // ELF
  if(%temp1 >=	360	&& %temp1 <	488	) %weapon4 =	107; // Blaster
  if(%temp1 >=	488	&& %temp1 <	566	) %weapon4 =	111; // Blink Gun
  if(%temp1 >=	566	&& %temp1 <	578	) %weapon4 =	114; // Nano Infuser
  if(%temp1 >=	578	&& %temp1 <	591	) %weapon4 =	115; // Nanite Cannon
  if(%temp1 >=	591	&& %temp1 <	617	) %weapon4 =	116; // ATC
  if(%temp1 >=	617	&& %temp1 <	668	) %weapon4 =	117; // HATC
  if(%temp1 >=	668	&& %temp1 <	771	) %weapon4 =	118; // EM ATC
  if(%temp1 >=	771	&& %temp1 <	776	) %weapon4 =	124; // Pit Viper 8
  if(%temp1 >=	776	&& %temp1 <	789	) %weapon4 =	125; // Pit Viper 12
  if(%temp1 >=	789	&& %temp1 <	794	) %weapon4 =	126; // Sparrow 6
  if(%temp1 >=	794	&& %temp1 <	807	) %weapon4 =	127; // Sparrow 10
  if(%temp1 >=	807	&& %temp1 <	820	) %weapon4 =	128; // Swarm 6
  if(%temp1 >=	820	&& %temp1 <	833	) %weapon4 =	129; // Minion
  if(%temp1 >=	833	&& %temp1 <	846	) %weapon4 =	130; // Shrike 8
  if(%temp1 >=	846	&& %temp1 <	851	) %weapon4 =	131; // Arachnitron 4
  if(%temp1 >=	851	&& %temp1 <	864	) %weapon4 =	132; // Arachnitron 8
  if(%temp1 >=	864	&& %temp1 <	869	) %weapon4 =	134; // HHG 6
  if(%temp1 >=	869	&& %temp1 <	882	) %weapon4 =	135; // HHG 10
  if(%temp1 >=	882	&& %temp1 <	933	) %weapon4 =	145; // Rad Gun
  if(%temp1 >=	933	&& %temp1 <	946	) %weapon4 =	147; // Aphid
  if(%temp1 >=	946	&& %temp1 <	997	) %weapon4 =	150; // Smart Gun
  if(%temp1 >=	997	&& %temp1 <=	1000	) %weapon4 =	0; // None
}

defaultWeapons( %weapon1, %weapon2, %weapon3, %weapon4);

// defaultWeapons(   118,          118,             104,                               104);
defaultMountables(136,          228,             807,              332,                930,                  427,               845,                     850);

