######################################################################
# datHerc_mg_goad.cs
# Metagen Goad
#
######################################################################

#                 Identity_Tag  Abbreviation     Shape             Mass              MaxMass               RCS             Tech_Level      Combat_Value
hercBase(         IDVEH_CY_GOAD,"GOAD",          "cy_goad.dts",                 8.0 ,                  35 ,          0.85 ,             1 ,           1600);

#                 maxPosAcc     minPosVel        maxForPosVel      maxRevPosVel      (all_m/s)
hercPos(                 20.00 ,           3.00 ,           40.00 ,            -25.00);

#                 minRotVel     maxRVSlow        maxRVFast         (all_deg/s)
hercRot(                  6.00 ,          80.00 ,             50.00);

#                 toStandVel    toRunVel         toFastRunVel      toFastTurnVel(deg/s)
hercAnim(         4.0,          13.0,            25.0,                             36);

#                 offsetX       offsetY          offsetZ
hercCpit(         0.0,          0.50,                         -0.65);

#                 sphOffstX     sphOffstY        sphOffstZ         sphereRad
hercColl(         0.0,          0.0,             2.9,                               3);

#                 fireBayesNetName
hercAI(           "hercFire.ai", "targetPart.ai","hercManeuver.ai","hercRetreat.ai"  );

#                               Hard Points
#                               (sizes:SMLX      sides:TBLR)       Dmg               Offset_fm_Node                                        X_rot_rnge           Z_rot_rnge
#                 id            size             side              Prnt              X___                  Y___            Z___            min__          max_  min__           max__
newHardPoint(     0,            M,               T,                Head,             0.0,                  -0.1,           1.3,            -30.0,         40.0, -60.0,          60);
newHardPoint(     1,            M,               B,                Head,             0.0,                  0.65,           -1.6,           -30.0,         30.0, -60.0,          60);
#
#
#
#
#
#
#
#                 id            size             Dmg_Parent        Allowed_Mountables
newMountPoint(    0,            M,               Head,             Engine);
newMountPoint(    1,            M,               Head,             Reactor);
newMountPoint(    2,            S,               Head,             Computer);
newMountPoint(    3,            M,               Head,             Shield);
newMountPoint(    4,            M,               none,             Armor);
newMountPoint(    5,            M,               Head,             Sensors           );
newMountPoint(    6,            L,               Head,             ECM,              ThermalDiffuser,      LaserTargeting, NanoRepair,     Battery,       Cloak,FieldStabilizer,    ammoPack,
                                                                   LifeSupport,      ShieldModulator,      ShieldCapacitor,ShieldAmplifier,Capacitor,           AgravGenerator,     TurbineBoost, RocketBooster);
newMountPoint(    7,            S,               Head,             ECM,              ThermalDiffuser,      LaserTargeting, NanoRepair,     Battery,       Cloak,FieldStabilizer,    ammoPack,
                                                                   LifeSupport,      ShieldModulator,      ShieldCapacitor,ShieldAmplifier,Capacitor,           AgravGenerator,     TurbineBoost, RocketBooster);
#                 Internal      Components
#                 id            type             parent            max_dmg           identity_tag
newComponent(     Armor,        Armor,           none,                         3200 ,IDCOM_ARMOR           );
newComponent(     LeftServos,   LeftServos,      none,                          600 ,IDCOM_LEFT_LEG_SERVOS );
newComponent(     RightServos,  RightServos,     none,                          600 ,IDCOM_RIGHT_LEG_SERVOS);

#                 External      Components
#                 id            type             parent            max_dmg           identity_tag          Total internals             3000
newComponent(     Head,         Head,            none,                          840 ,IDCOM_HEAD            );                        # 0.28
newComponent(     LeftThigh,    LeftThigh,       Head,                          300 ,IDCOM_LEFT_THIGH      );                        # 0.10
newComponent(     RightThigh,   RightThigh,      Head,                          300 ,IDCOM_RIGHT_THIGH     );                        # 0.10
newComponent(     LeftLeg,      LeftLeg,         LeftThigh,                     270 ,IDCOM_LEFT_LEG        );                        # 0.09
newComponent(     RightLeg,     RightLeg,        RighThigh,                     270 ,IDCOM_RIGHT_LEG       );                        # 0.09
newComponent(     LeftCalf,     LeftCalf,        LeftLeg,                       300 ,IDCOM_LEFT_CALF       );                        # 0.10
newComponent(     RightCalf,    RightCalf,       RightLeg,                      300 ,IDCOM_RIGHT_CALF      );                        # 0.10
newComponent(     LeftFoot,     LeftFoot,        LeftCalf,                      210 ,IDCOM_LEFT_FOOT       );                        # 0.07
newComponent(     RightFoot,    RightFoot,       RightCalf,                     210 ,IDCOM_RIGHT_FOOT      );                        # 0.07
newComponent(     Pilot,        Pilot,           none,                          300 ,IDCOM_PILOT           );
#                                                (totals)                      3000 ,                                                  1.00

#                 Distribution of internal components among external components
#                 containee     container        percent/100
newConfiguration( Armor,        LeftFoot,                      0.06);                                 # 192
newConfiguration( Armor,        RightFoot,                     0.06);                                 # 192
newConfiguration( Armor,        LeftCalf,                      0.09);                                 # 288
newConfiguration( Armor,        RightCalf,                     0.09);                                 # 288
newConfiguration( Armor,        LeftLeg,                       0.11);                                 # 352
newConfiguration( Armor,        RightLeg,                      0.11);                                 # 352
newConfiguration( Armor,        LeftThigh,                     0.12);                                 # 384
newConfiguration( Armor,        RightThigh,                    0.12);                                 # 384
newConfiguration( Armor,        Head,                          0.24);                                 # 768
#                 -----
#

newConfiguration( LeftServos,   LeftFoot,                      0.25);
newConfiguration( LeftServos,   LeftCalf,                      0.25);
newConfiguration( LeftServos,   LeftLeg,                       0.25);
newConfiguration( LeftServos,   LeftThigh,                     0.25);

newConfiguration( RightServos,  RightFoot,                     0.25);
newConfiguration( RightServos,  RightCalf,                     0.25);
newConfiguration( RightServos,  RightLeg,                      0.25);
newConfiguration( RightServos,  RightThigh,                    0.25);

%temp1 = randomInt(1, 100); // Medium Engine
if(%temp1 > 0 && %temp1 < 8) %mount1 = 100;  // Light
if(%temp1 >= 8 && %temp1 < 16) %mount1 = 101;  // Light High Output
if(%temp1 >= 16 && %temp1 < 24) %mount1 = 102;  // Light Agility
if(%temp1 >= 24 && %temp1 < 32) %mount1 = 103;  // Standard Medium
if(%temp1 >= 32 && %temp1 < 40) %mount1 = 104;  // Medium High Output
if(%temp1 >= 40 && %temp1 < 48) %mount1 = 105;  // Medium Agility
if(%temp1 >= 48 && %temp1 < 56) %mount1 = 128;  // Alpha
if(%temp1 >= 56 && %temp1 < 64) %mount1 = 129;  // Beta
if(%temp1 >= 64 && %temp1 < 72) %mount1 = 130;  // Gamma
if(%temp1 >= 72 && %temp1 < 80) %mount1 = 131;  // Delta
if(%temp1 >= 80 && %temp1 < 88) %mount1 = 132;  // Epsilon
if(%temp1 >= 88 && %temp1 < 96) %mount1 = 133;  // Zeta
if(%temp1 >= 96 && %temp1 <= 100) %mount1 = 134;  // Eta

%temp1 = randomInt(1, 100); // Medium Reactor
if(%temp1 > 0 && %temp1 < 10) %mount2 = 200;  // Micro
if(%temp1 >= 10 && %temp1 < 20) %mount2 = 201;  // Small
if(%temp1 >= 20 && %temp1 < 30) %mount2 = 202;  // Standard
if(%temp1 >= 30 && %temp1 < 40) %mount2 = 203;  // Medium
if(%temp1 >= 40 && %temp1 < 50) %mount2 = 204;  // Large
if(%temp1 >= 50 && %temp1 < 60) %mount2 = 225;  // Alpha
if(%temp1 >= 60 && %temp1 < 70) %mount2 = 226;  // Beta
if(%temp1 >= 70 && %temp1 < 80) %mount2 = 227;  // Gamma
if(%temp1 >= 80 && %temp1 < 90) %mount2 = 228;  // Delta
if(%temp1 >= 90 && %temp1 <= 100) %mount2 = 229;  // Epsilon

%temp1 = randomInt(1, 6); // Computer
if(%temp1 == 1) %mount3 = 800;
if(%temp1 == 2) %mount3 = 801;
if(%temp1 == 3) %mount3 = 802;
if(%temp1 == 4) %mount3 = 805;
if(%temp1 == 5) %mount3 = 806;
if(%temp1 == 6) %mount3 = 807;

%temp1 = randomInt(1, 100); // Medium Shield
if(%temp1 > 0 && %temp1 < 8) %mount4 = 300;  // Standard
if(%temp1 >= 8 && %temp1 < 16) %mount4 = 301;  // Protector
if(%temp1 >= 16 && %temp1 < 24) %mount4 = 302;  // Guardian
if(%temp1 >= 24 && %temp1 < 32) %mount4 = 303;  // FastCharge
if(%temp1 >= 32 && %temp1 < 40) %mount4 = 304;  // Centurion
if(%temp1 >= 40 && %temp1 < 48) %mount4 = 306;  // Titan
if(%temp1 >= 48 && %temp1 < 56) %mount4 = 326;  // Alpha
if(%temp1 >= 56 && %temp1 < 64) %mount4 = 327;  // Beta
if(%temp1 >= 64 && %temp1 < 72) %mount4 = 328;  // Gamma
if(%temp1 >= 72 && %temp1 < 80) %mount4 = 329;  // Delta
if(%temp1 >= 80 && %temp1 < 88) %mount4 = 330;  // Epsilon
if(%temp1 >= 88 && %temp1 < 96) %mount4 = 332;  // Eta
if(%temp1 >= 96 && %temp1 <= 100) %mount4 = 0;  // None

%temp1 = randomInt(1, 100); // Medium Armor
if(%temp1 > 0 && %temp1 < 10) %mount5 = 926;  // Carbon Fiber
if(%temp1 >= 10 && %temp1 < 55) %mount5 = 927;  // Quad-Bonded Metaplas
if(%temp1 >= 55 && %temp1 < 75) %mount5 = 928;  // DURAC
if(%temp1 >= 75 && %temp1 < 85) %mount5 = 929;  // Ceramic
if(%temp1 >= 85 && %temp1 < 95) %mount5 = 930;  // Crystaluminum
if(%temp1 >= 95 && %temp1 <= 100) %mount5 = 0;  // None

%temp1 = randomInt(1, 100); // Medium Sensors
if(%temp1 > 0 && %temp1 < 6) %mount6 = 400;  // Basic
if(%temp1 >= 6 && %temp1 < 12) %mount6 = 401;  // Ranger
if(%temp1 >= 12 && %temp1 < 18) %mount6 = 408;  // Standard
if(%temp1 >= 18 && %temp1 < 24) %mount6 = 409;  // Longbow
if(%temp1 >= 24 && %temp1 < 30) %mount6 = 410;  // Infiltrator
if(%temp1 >= 30 && %temp1 < 36) %mount6 = 412;  // Ultralight
if(%temp1 >= 36 && %temp1 < 42) %mount6 = 413;  // Bloodhound
if(%temp1 >= 42 && %temp1 < 48) %mount6 = 414;  // Emission Scanning
if(%temp1 >= 48 && %temp1 < 54) %mount6 = 426;  // Alpha
if(%temp1 >= 54 && %temp1 < 60) %mount6 = 427;  // Beta
if(%temp1 >= 60 && %temp1 < 66) %mount6 = 428;  // Gamma
if(%temp1 >= 66 && %temp1 < 72) %mount6 = 429;  // Delta
if(%temp1 >= 72 && %temp1 < 78) %mount6 = 430;  // Epsilon
if(%temp1 >= 78 && %temp1 < 84) %mount6 = 432;  // Eta
if(%temp1 >= 84 && %temp1 < 90) %mount6 = 433;  // Theta
if(%temp1 >= 92 && %temp1 < 96) %mount6 = 434;  // Iota
if(%temp1 >= 96 && %temp1 <= 100) %mount6 = 0;  // None

%temp1 = randomInt(1, 100); // Large Special
if(%temp1 > 0 && %temp1 < 10) %mount7 = 810;  // Guardian ECM
if(%temp1 >= 10 && %temp1 < 25) %mount7 = 811;  // Doppleganger ECM
if(%temp1 >= 25 && %temp1 < 35) %mount7 = 812;  // Alpha ECM
if(%temp1 >= 35 && %temp1 < 50) %mount7 = 813;  // Beta ECM
if(%temp1 >= 50 && %temp1 < 60) %mount7 = 820;  // Thermal Diffuser
if(%temp1 >= 60 && %temp1 < 65) %mount7 = 850;  // Shield Amp
if(%temp1 >= 65 && %temp1 < 70) %mount7 = 865;  // Power Battery
if(%temp1 >= 70 && %temp1 < 75) %mount7 = 875;  // Field Stabilizer
if(%temp1 >= 75 && %temp1 < 80) %mount7 = 890;  // Nanorepair
if(%temp1 >= 80 && %temp1 < 85) %mount7 = 900;  // Life Support
if(%temp1 >= 85 && %temp1 < 95) %mount7 = 910;  // Antigrav
if(%temp1 >= 95 && %temp1 <= 100) %mount7 = 0;  // None

%palatable = 0;
while (%palatable == 0)
{
  %temp1 = randomInt(1, 100); // Small Special
  if(%temp1 > 0 && %temp1 < 15) %mount8 = 810;  // Guardian ECM
  if(%temp1 >= 15 && %temp1 < 30) %mount8 = 812;  // Alpha ECM
  if(%temp1 >= 30 && %temp1 < 45) %mount8 = 820;  // Thermal Diffuser
  if(%temp1 >= 45 && %temp1 < 55) %mount8 = 865;  // Power Battery
  if(%temp1 >= 55 && %temp1 < 65) %mount8 = 875;  // Field Stabilizer
  if(%temp1 >= 65 && %temp1 < 75) %mount8 = 900;  // Life Support
  if(%temp1 >= 75 && %temp1 <= 100) %mount8 = 0;  // None

  %palatable = 1;
  if(%mount7 == 810 && ( %mount8 == 810 || %mount8 == 812) ) %palatable = 0;
  if(%mount7 == 811 && ( %mount8 == 810 || %mount8 == 812) ) %palatable = 0;
  if(%mount7 == 812 && ( %mount8 == 810 || %mount8 == 812) ) %palatable = 0;
  if(%mount7 == 813 && ( %mount8 == 810 || %mount8 == 812) ) %palatable = 0;
  if(%mount7 == 820 && %mount8 == 820) %palatable = 0;
  if(%mount7 == 865 && %mount8 == 865) %palatable = 0;
  if(%mount7 == 875 && %mount8 == 875) %palatable = 0;
  if(%mount7 == 900 && %mount8 == 900) %palatable = 0;
}

// Medium Weapon 1
%temp1 = randomInt(1, 1000);  
if(%temp1 > 0 && %temp1 < 40) %weapon1 = 101;  // Laser
if(%temp1 >= 40 && %temp1 < 80) %weapon1 = 102;  // Heavy Laser
if(%temp1 >= 80 && %temp1 < 120) %weapon1 = 103;  // Compression Laser
if(%temp1 >= 120 && %temp1 < 160) %weapon1 = 104;  // Twin Laser
if(%temp1 >= 160 && %temp1 < 200) %weapon1 = 105;  // EMP
if(%temp1 >= 200 && %temp1 < 240) %weapon1 = 106;  // ELF
if(%temp1 >= 240 && %temp1 < 280) %weapon1 = 107;  // Blaster
if(%temp1 >= 280 && %temp1 < 320) %weapon1 = 111;  // Blink Gun
if(%temp1 >= 320 && %temp1 < 350) %weapon1 = 114;  // Nano-infuser
if(%temp1 >= 350 && %temp1 < 380) %weapon1 = 115;  // Nanite Cannon
if(%temp1 >= 380 && %temp1 < 420) %weapon1 = 116;  // ATC
if(%temp1 >= 420 && %temp1 < 440) %weapon1 = 117;  // HATC
if(%temp1 >= 440 && %temp1 < 480) %weapon1 = 118;  // EMATC
if(%temp1 >= 480 && %temp1 < 520) %weapon1 = 124;  // Pit Viper 8
if(%temp1 >= 520 && %temp1 < 560) %weapon1 = 125;  // Pit Viper 12
if(%temp1 >= 560 && %temp1 < 600) %weapon1 = 126;  // Sparrow 6
if(%temp1 >= 600 && %temp1 < 640) %weapon1 = 127;  // Sparrow 10
if(%temp1 >= 640 && %temp1 < 680) %weapon1 = 128;  // Swarm 6
if(%temp1 >= 680 && %temp1 < 720) %weapon1 = 129;  // Minion
if(%temp1 >= 720 && %temp1 < 760) %weapon1 = 130;  // Shrike 8
if(%temp1 >= 760 && %temp1 < 800) %weapon1 = 131;  // Arachnitron 4
if(%temp1 >= 800 && %temp1 < 840) %weapon1 = 132;  // Arachnitron 8
if(%temp1 >= 840 && %temp1 < 880) %weapon1 = 134;  // HHG 6
if(%temp1 >= 880 && %temp1 < 920) %weapon1 = 135;  // HHG 10
if(%temp1 >= 920 && %temp1 < 940) %weapon1 = 142;  // Rad Gun
if(%temp1 >= 940 && %temp1 < 960) %weapon1 = 147;  // Aphid
if(%temp1 >= 960 && %temp1 < 980) %weapon1 = 150;  // Smart Gun
if(%temp1 >= 980 && %temp1 <= 1000) %weapon1 = 0;  // Smart Gun

// Small Weapon 2
%temp1 = randomInt(1, 1000);
if(%temp1 > 0 && %temp1 < 80) %weapon2 = 101;  // Laser
if(%temp1 >= 80 && %temp1 < 160) %weapon2 = 103;  // Compression Laser
if(%temp1 >= 160 && %temp1 < 240) %weapon2 = 104;  // Twin Laser
if(%temp1 >= 240 && %temp1 < 320) %weapon2 = 105;  // EMP
if(%temp1 >= 320 && %temp1 < 400) %weapon2 = 114;  // Nano-infuser
if(%temp1 >= 400 && %temp1 < 480) %weapon2 = 116;  // ATC
if(%temp1 >= 480 && %temp1 < 560) %weapon2 = 118;  // EMATC
if(%temp1 >= 560 && %temp1 < 640) %weapon2 = 124;  // Pit Viper 8
if(%temp1 >= 640 && %temp1 < 720) %weapon2 = 126;  // Sparrow 6
if(%temp1 >= 720 && %temp1 < 800) %weapon2 = 131;  // Arachnitron 4
if(%temp1 >= 800 && %temp1 < 880) %weapon2 = 134;  // HHG 6
if(%temp1 >= 880 && %temp1 < 960) %weapon2 = 147;  // Aphid
if(%temp1 >= 960 && %temp1 <= 1000) %weapon2 = 0;  // None

defaultWeapons( %weapon1, %weapon2);
defaultMountables(%mount1, %mount2, %mount3, %mount4, %mount5, %mount6, %mount7, %mount8);

// defaultWeapons(   102,                        102);
// defaultMountables(132,          227,             806,              328,                929,                  432,            812,                     840);
