######################################################################
# datTank_cy_bolo.cs
# Cybrid Bolo
#
######################################################################

#                    Identity_Tag           Abbreviation          Shape             Mass               MaxMass                     RCS              Tech_Level   Combat_Value
tankBase(            IDVEH_CY_BOLO,         "BOLO",               "cy_bolo.dts",                 7.00 ,                     35.00 ,           0.55 ,          1 ,         1470);

#                    maxPosAcc              minPosVel             maxForPosVel      maxRevPosVel       (all_m/s)
tankPos(                             25.00 ,                3.00 ,           38.00 ,             -32.30);

#                    minRotVel              maxRVSlow             maxRVFast         maxRVTurret        (all_deg/s)
tankRot(                              5.00 ,               82.50 ,           45.00 ,              90.00);

#                    offsetX                offsetY               offsetZ
tankCpit(            0.0,                   0.0,                                   0);

#                    sphOffstX              sphOffstY             sphOffstZ         sphereRad
tankColl(            0.0,                   0.0,                  2.9,                                3);

#                    TreadAnim_Rot_Coeff    Tread_Anim_Pos_Coeff
tankAnim(            2.0,                                      0.5);

#                    engine_sound_tag       has_thrusters
tankSound(           IDSFX_TANK_ENGINE_1,            TRUE         );

#                    fireBayesNetName
tankAI(              "tankFire.ai",          "targetPart.ai",     "tankManeuver.ai","tankRetreat.ai"   );

#                                           Hard Points
#                                           (sizes:SMLX           sides:TBLR)       Dmg                Offset_fm_Node                                            X_rot_rnge              Z_rot_rnge
#                    id                     size                  side              Prnt               X___                        Y___             Z___         min__        max_       min__ max__
newHardPoint(        0,                     M,                    L,                TankHead,          -1.0,                       -0.3,            0.0,         -15.0,       60.0,      -60.0,    60);
HardPointDamage(                        2500);
newHardPoint(        1,                     M,                    R,                TankHead,          1.0,                        -0.3,            0.0,         -15.0,       60.0,      -60.0,    60);
HardPointDamage(                        2500);

#                    id                     size                  Dmg_Parent        Allowed_Mountables
newMountPoint(       0,                     M,                    Body,             Engine);
newMountPoint(       1,                     L,                    Body,             Reactor);
newMountPoint(       2,                     S,                    TankHead,         Computer);
newMountPoint(       3,                     L,                    none,             Armor);
newMountPoint(       4,                     S,                    TankHead,         Sensors);
newMountPoint(       5,                     S,                    TankHead,         ECM,               ThermalDiffuser,            LaserTargeting,  NanoRepair,  Battery,     Cloak,     FieldStabilizer,
                                                                                    LifeSupport,       Capacitor,                  AgravGenerator,  TurbineBoost,RocketBooster,          ammoPack    );
newMountPoint(       6,                     L,                    Body,             ECM,               ThermalDiffuser,            LaserTargeting,  NanoRepair,  Battery,     Cloak,     FieldStabilizer,
                                                                                    LifeSupport,       Capacitor,                  AgravGenerator,  TurbineBoost,RocketBooster,          ammoPack    );
newMountPoint(       7,                     M,                    Body,             ECM,               ThermalDiffuser,            LaserTargeting,  NanoRepair,  Battery,     Cloak,     FieldStabilizer,
                                                                                    LifeSupport,       Capacitor,                  AgravGenerator,  TurbineBoost,RocketBooster,          ammoPack    );
#                    Internal               Components
#                    id                     type                  parent            max_dmg            identity_tag
newComponent(        Armor,                 Armor,                none,                          7000 ,IDCOM_ARMOR                 );
newComponent(        LeftServos,            LeftServos,           none,                           200 ,IDCOM_LEFT_TREAD_SERVOS     );
newComponent(        RightServos,           RightServos,          none,                           200 ,IDCOM_RIGHT_TREAD_SERVOS    );

#                    External               Components
#                    id                     type                  parent            max_dmg            identity_tag                total internals=          5000
newComponent(        Body,                  Body,                 none,                          1250 ,IDCOM_BODY                  );                      # 0.25
newComponent(        TankHead,              TankHead,             Body,                           750 ,IDCOM_HEAD                  );                      # 0.15
newComponent(        LeftTread,             LeftTread,            Body,                          1000 ,IDCOM_LEFT_TREAD            );                      # 0.20
newComponent(        RightTread,            RightTread,           Body,                          1000 ,IDCOM_RIGHT_TREAD           );                      # 0.20
newComponent(        RearTread,             RearTread,            Body,                          1000 ,IDCOM_REAR_TREAD            );                      # 0.20
newComponent(        Pilot,                 Pilot,                none,                           300 ,IDCOM_PILOT                 );
#                                                                 (totals)                         5000                                                      1.00

#                    Distribution           of                    internal          components         among                       external         components
#                    containee              container             percent/100
newConfiguration(    Armor,                 Body,                               0.25);                                       # 1750
newConfiguration(    Armor,                 TankHead,                           0.15);                                       # 1050
newConfiguration(    Armor,                 LeftTread,                          0.20);                                       # 1400
newConfiguration(    Armor,                 RightTread,                         0.20);                                       # 1400
newConfiguration(    Armor,                 RearTread,                          0.20);                                       # 1400
#                    -----
#                                                                               1.00

newConfiguration(    LeftServos,            LeftTread,                          1.00);
newConfiguration(    RightServos,           RightTread,                         1.00);


%temp1 = randomInt(1, 1000);
if(%temp1 > 0 && %temp1 < 40) %weapon1 = 101;  // Laser
if(%temp1 >= 40 && %temp1 < 80) %weapon1 = 102;  // Heavy Laser
if(%temp1 >= 80 && %temp1 < 120) %weapon1 = 103;  // Compression Laser
if(%temp1 >= 120 && %temp1 < 160) %weapon1 = 104;  // Twin Laser
if(%temp1 >= 160 && %temp1 < 200) %weapon1 = 105;  // EMP
if(%temp1 >= 200 && %temp1 < 240) %weapon1 = 106;  // ELF
if(%temp1 >= 240 && %temp1 < 280) %weapon1 = 107;  // Blaster
if(%temp1 >= 280 && %temp1 < 320) %weapon1 = 111;  // Blink Gun
if(%temp1 >= 320 && %temp1 < 350) %weapon1 = 114;  // Nano-infuser
if(%temp1 >= 350 && %temp1 < 380) %weapon1 = 115;  // Nanite Cannon
if(%temp1 >= 380 && %temp1 < 420) %weapon1 = 116;  // ATC
if(%temp1 >= 420 && %temp1 < 440) %weapon1 = 117;  // HATC
if(%temp1 >= 440 && %temp1 < 480) %weapon1 = 118;  // EMATC
if(%temp1 >= 480 && %temp1 < 520) %weapon1 = 124;  // Pit Viper 8
if(%temp1 >= 520 && %temp1 < 560) %weapon1 = 125;  // Pit Viper 12
if(%temp1 >= 560 && %temp1 < 600) %weapon1 = 126;  // Sparrow 6
if(%temp1 >= 600 && %temp1 < 640) %weapon1 = 127;  // Sparrow 10
if(%temp1 >= 640 && %temp1 < 680) %weapon1 = 128;  // Swarm 6
if(%temp1 >= 680 && %temp1 < 720) %weapon1 = 129;  // Minion
if(%temp1 >= 720 && %temp1 < 760) %weapon1 = 130;  // Shrike 8
if(%temp1 >= 760 && %temp1 < 800) %weapon1 = 131;  // Arachnitron 4
if(%temp1 >= 800 && %temp1 < 840) %weapon1 = 132;  // Arachnitron 8
if(%temp1 >= 840 && %temp1 < 880) %weapon1 = 134;  // HHG 6
if(%temp1 >= 880 && %temp1 < 920) %weapon1 = 135;  // HHG 10
if(%temp1 >= 920 && %temp1 < 940) %weapon1 = 142;  // Rad Gun
if(%temp1 >= 940 && %temp1 < 960) %weapon1 = 147;  // Aphid
if(%temp1 >= 960 && %temp1 < 980) %weapon1 = 150;  // Smart Gun
if(%temp1 >= 980 && %temp1 <= 1000) %weapon1 = 0;  // Smart Gun

%temp1 = randomInt(1, 2);
if(%temp1 == 1) %weapon2 = %weapon1;
else 
{
  %temp1 = randomInt(1, 1000);
  if(%temp1 > 0 && %temp1 < 40) %weapon2 = 101;  // Laser
  if(%temp1 >= 40 && %temp1 < 80) %weapon2 = 102;  // Heavy Laser
  if(%temp1 >= 80 && %temp1 < 120) %weapon2 = 103;  // Compression Laser
  if(%temp1 >= 120 && %temp1 < 160) %weapon2 = 104;  // Twin Laser
  if(%temp1 >= 160 && %temp1 < 200) %weapon2 = 105;  // EMP
  if(%temp1 >= 200 && %temp1 < 240) %weapon2 = 106;  // ELF
  if(%temp1 >= 240 && %temp1 < 280) %weapon2 = 107;  // Blaster
  if(%temp1 >= 280 && %temp1 < 320) %weapon2 = 111;  // Blink Gun
  if(%temp1 >= 320 && %temp1 < 350) %weapon2 = 114;  // Nano-infuser
  if(%temp1 >= 350 && %temp1 < 380) %weapon2 = 115;  // Nanite Cannon
  if(%temp1 >= 380 && %temp1 < 420) %weapon2 = 116;  // ATC
  if(%temp1 >= 420 && %temp1 < 440) %weapon2 = 117;  // HATC
  if(%temp1 >= 440 && %temp1 < 480) %weapon2 = 118;  // EMATC
  if(%temp1 >= 480 && %temp1 < 520) %weapon2 = 124;  // Pit Viper 8
  if(%temp1 >= 520 && %temp1 < 560) %weapon2 = 125;  // Pit Viper 12
  if(%temp1 >= 560 && %temp1 < 600) %weapon2 = 126;  // Sparrow 6
  if(%temp1 >= 600 && %temp1 < 640) %weapon2 = 127;  // Sparrow 10
  if(%temp1 >= 640 && %temp1 < 680) %weapon2 = 128;  // Swarm 6
  if(%temp1 >= 680 && %temp1 < 720) %weapon2 = 129;  // Minion
  if(%temp1 >= 720 && %temp1 < 760) %weapon2 = 130;  // Shrike 8
  if(%temp1 >= 760 && %temp1 < 800) %weapon2 = 131;  // Arachnitron 4
  if(%temp1 >= 800 && %temp1 < 840) %weapon2 = 132;  // Arachnitron 8
  if(%temp1 >= 840 && %temp1 < 880) %weapon2 = 134;  // HHG 6
  if(%temp1 >= 880 && %temp1 < 920) %weapon2 = 135;  // HHG 10
  if(%temp1 >= 920 && %temp1 < 960) %weapon2 = 142;  // Rad Gun
  if(%temp1 >= 960 && %temp1 < 980) %weapon2 = 147;  // Aphid
  if(%temp1 >= 980 && %temp1 <= 1000) %weapon2 = 150;  // Smart Gun
}

defaultWeapons( %weapon1, %weapon2);
defaultMountables(   133,                   230,                  806,              927,               428,                        865,             830,                   885);

// defaultWeapons(      111,                                      111);
// defaultMountables(   133,                   230,                  806,              927,               428,                        865,             830,                   885);
